assets=
{
    Asset("ANIM", "anim/cigar.zip"),
    Asset("IMAGE", "images/inventoryimages/cigar.tex"),
    Asset("ATLAS", "images/inventoryimages/cigar.xml"),
}


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst.AnimState:SetBank("moditem")
    inst.AnimState:SetBuild("cigar")
    inst.AnimState:PlayAnimation("idle")
    
    inst:AddComponent("inspectable")
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/cigar.xml"


    inst:AddComponent("stackable")
	inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
    
    inst:AddComponent("edible")
    inst.components.edible.healthvalue = TUNING.HEALING_LARGE*-0.7
	inst.components.edible.sanityvalue = TUNING.SANITY_LARGE*1
    
    
    return inst
end

return Prefab( "common/inventory/cigar", fn, assets)