local assets=
{
	Asset("ANIM", "anim/hat_peacock.zip"),
	
	Asset("IMAGE", "images/inventoryimages/hat_peacock.tex"),	
    Asset("ATLAS", "images/inventoryimages/hat_peacock.xml")
}

local function onequip(inst, owner) 
        owner.AnimState:OverrideSymbol("swap_hat", "hat_peacock", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
        
        if owner:HasTag("player") then
			owner.AnimState:Hide("HEAD")
			owner.AnimState:Show("HEAD_HAIR")
		end
end

local function onunequip(inst, owner) 
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

		if owner:HasTag("player") then
	        owner.AnimState:Show("HEAD")
			owner.AnimState:Hide("HEAD_HAIR")
		end
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst:AddTag("hat")
    
    anim:SetBank("tophat")
    anim:SetBuild("hat_peacock")
    anim:PlayAnimation("anim")    
        
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hat_peacock.xml"
	
	inst:AddComponent("dapperness")
	inst.components.dapperness.dapperness = 6/60
    
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
	    inst.components.equippable.dapperness = 6/60
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
	
		       -- inst:AddComponent("waterproofer")
        --inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_MED)
	
		    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("hat_peacockmini.tex")
    
    return inst
end

return Prefab( "common/inventory/hat_peacock", fn, assets) 
