
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/peacock.zip" ),
}
local prefabs = { "hat_peacock",}
local start_inv = { "hat_peacock", "cigar", "cigar", "cigar", "cigar", "cigar", "cigar" }

local fn = function(inst)

	inst.components.sanity:SetMax(TUNING.WILSON_SANITY * 0.7)
	inst.components.hunger:SetMax(TUNING.WILSON_HUNGER * 0.9)
        inst.components.sanity.night_drain_mult = TUNING.WENDY_SANITY_MULT
        inst.components.sanity.neg_aura_mult = TUNING.WENDY_SANITY_MULT


	local s01Recipe = Recipe("hat_peacock", {Ingredient("tophat", 1), Ingredient("gears", 2)}, RECIPETABS.DRESS, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0})
	s01Recipe.atlas = "images/inventoryimages/hat_peacock.xml"

	local s02Recipe = Recipe("cigar", {Ingredient("rocks", 1), Ingredient("poop", 1)}, RECIPETABS.REFINE, {SCIENCE = 0, MAGIC = 0, ANCIENT = 0})
	s02Recipe.atlas = "images/inventoryimages/cigar.xml"

	-- choose which sounds this character will play
	inst.soundsname = "willow"

	-- a minimap icon must be specified
    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("peacockmini.tex")
end
	-- todo: Add an example special power here.
STRINGS.CHARACTER_TITLES.peacock = "The Murder-Go-Round"
STRINGS.CHARACTER_NAMES.peacock = "Patricia 'Peacock' Watson"
STRINGS.CHARACTER_DESCRIPTIONS.peacock ="*Likes to smoke\n*Ain't afraid of no ghost!\n*Is a little cuckoo..."
STRINGS.CHARACTER_QUOTES.peacock = "\"Cool people don't look at explosions!\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.PEACOCK = require "speech_peacock"

return MakePlayerCharacter("peacock", prefabs, assets, fn, start_inv)